{% extends 'mainBase.html' %}

{% block head %}
	
    
    <!--Import jQuery before materialize.js-->
      <script type="text/javascript" src="https://code.jquery.com/jquery-2.1.1.min.js"></script>
      <script type="text/javascript" src="js/materialize.js"></script>
    
    <!--Let browser know website is optimized for mobile-->
      <meta name="viewport" content="width=device-width, initial-scale=1.0"/>

      <script>
      		$( document ).ready(function(){
      		  $(".button-collapse").sideNav();

 
      		});
      </script>
{% endblock %}

{% block body %}
<body style="background-color: #eceff1">
	{% include 'navbar.html' %}
	

	<main>
		<div class="container" id="subs_cart">
			
			<div class="row">
				<h4>Subscription Cart</h4>
				<span>CHOOSE THE BOOKS THAT YOU WANT TO READ NEXT!</span>
			</div>

			
				<div class="row">
				
				<!--LIST-->
				<div class="col s12 m8 l9">
					
					<div class="row">
						<!--BOOK 1-->
						{% for item, img in items %}
						<div class="col s12 m12 l4 subs_book_col">
							
							<div class="card horizontal white subs_book">
						      <div class="card-image">
						        <img src="http://abboniss.com/litwit/{{ img }}">
						      </div>
						      <div class="card-stacked">
						        <div class="card-content">
						          <span class="subs_year">{{item.book.title}}</span>
									<br>
									<span class="subs_author">{{item.book.author}}</span>
									<br>
									
									<img src="/static/images/{{item.book.rating}}star.PNG" class="responsive-img subs_rating">
									<a href="/litwit/subscription/cart/delieverd/{{item.pk}}" > <button class="subs_untick">
									{% if item.delievered %}	<img src="/static/images/subscription_tick.png" class="responsive-img">
{%else  %}<img src="/static/images/subscription_untick.png" class="responsive-img">
									{% endif %}
									</button></a>
						        </div>
						        
						      </div>
						    </div>
						</div>

						<!--ITEM 2-->
						<!--ITEM4-->
												{% endfor %}

					</div>

				</div>

				<script>
					 $('.subs_untick').click(function(){
					 	 var img_tag=$(this).children();
						
						 img_tag.attr("src",function(i,oldSrc){
						 	return oldSrc=='/static/images/subscription_untick.png'?'/static/images/subscription_tick.png':'images/subscription_untick.png';
						 });
						});/static/
				</script>

				<!--CHECKOUT-->
				<div class="col s12 m4 l3 white" style="padding-bottom: 20px;" id="subs_checkout">
						{% for item, img in items %}
						{% if item.delievered %}
						
					<div class="row subs_item">
								
						<div class="col s4 center">
							<img src="http://abboniss.com/litwit/{{ img }}" class="responsive-img">
						</div>

						<div class="col s8">
							<span class="subs_year">{{item.book.title}}</span>
							<br>
							<span class="subs_author">{{item.book.author}}</span>
							<br>
							<br>
							<img src="images/1star.png" class="responsive-img subs_rating">
						</div>

					</div>
					{% endif %}
												{% endfor %}


					<div class="row">
						<div class="col s12 right">
							<a class="waves-effect waves-light btn white-text right z-depth-4" href="/litwit/addressconfirmation/" style="background-color: rgb(9,190,243);">CHECKOUT</a>
						</div>
					</div>
					
				</div>

			</div>	
			
			
		</div>
	</main>

	
</body>
{% endblock %}
